import { type VerifyDepsBeforeRun } from '@pnpm/config';
import { type CheckDepsStatusOptions, type WorkspaceStateSettings } from '@pnpm/deps.status';
export interface RunDepsStatusCheckOptions extends CheckDepsStatusOptions {
    dir: string;
    verifyDepsBeforeRun?: VerifyDepsBeforeRun;
}
export declare function runDepsStatusCheck(opts: RunDepsStatusCheckOptions): Promise<void>;
export declare function createInstallArgs(opts: Pick<WorkspaceStateSettings, 'dev' | 'optional' | 'production'> | undefined): string[];
